## org.omg.Messaging
Class SyncScopePolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.SyncScopePolicyHelper

public class SyncScopePolicyHelper
extends java.lang.Object

Helper class for : SyncScopePolicy

Author:
  OpenORB Compiler

Constructor Summary
`SyncScopePolicyHelper()`

Method Summary
`static SyncScopePolicy` `extract(Any a)` Extract SyncScopePolicy from an any
`static java.lang.String` `id()` Return the SyncScopePolicy IDL ID
`static void` `insert(Any a, SyncScopePolicy t)` Insert SyncScopePolicy into an any
`static SyncScopePolicy` `narrow(Object obj)` Narrow CORBA::Object to SyncScopePolicy
`static SyncScopePolicy` `read(InputStream istream)` Read SyncScopePolicy from a marshalled stream
`static TypeCode` `type()` Return the SyncScopePolicy TypeCode
`static SyncScopePolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to SyncScopePolicy
`static void` `write(OutputStream ostream, SyncScopePolicy value)` Write SyncScopePolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncScopePolicyHelper

    public SyncScopePolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              SyncScopePolicy t)

  Insert SyncScopePolicy into an any
  Parameters:
    `a` - an any
    `t` - SyncScopePolicy value

### extract

    public static SyncScopePolicy extract(Any a)

  Extract SyncScopePolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted SyncScopePolicy value

### type

    public static TypeCode type()

  Return the SyncScopePolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the SyncScopePolicy IDL ID
  Returns:
    an ID

### read

    public static SyncScopePolicy read(InputStream istream)

  Read SyncScopePolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed SyncScopePolicy value

### write

    public static void write(OutputStream ostream,
                             SyncScopePolicy value)

  Write SyncScopePolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - SyncScopePolicy value

### narrow

    public static SyncScopePolicy narrow(Object obj)

  Narrow CORBA::Object to SyncScopePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    SyncScopePolicy Object

### unchecked_narrow

    public static SyncScopePolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to SyncScopePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    SyncScopePolicy Object